---
operationId: "updateNeonAuthOrganizationPlugin"
method: "PATCH"
path: "/programs/{program_id}/frameworks/{framework_id}/auth/plugins/organization"
tag: "auth"
interfaces: ["api", "sdk", "cli", "console"]
---
> API Reference / Authentication / Update organization plugin configuration

## PATCH /programs/{program_id}/frameworks/{framework_id}/auth/plugins/organization

Updates the organization plugin configuration for OptiTech Auth.
The organization plugin enables multi-tenant organization support.


### Parameters

- `program_id` (string, path, required)
  The OptiTech program ID
- `framework_id` (string, path, required)
  The OptiTech framework ID

### Request body

- `enabled` (boolean, optional)
  Whether the organization plugin is enabled
- `organization_limit` (integer, optional, format: int32)
  Maximum number of organizations a user can create
- `membership_limit` (integer, optional, format: int32)
  Maximum number of members per organization
- `creator_role` (string, optional)
  The role assigned to the user who creates an organization
  Possible values: `admin`, `owner`
- `send_invitation_email` (boolean, optional)
  Whether to send invitation emails when inviting members to an organization

### Response (200)

```json
{
  "enabled": true,
  "organization_limit": 10,
  "membership_limit": 100,
  "creator_role": "owner",
  "send_invitation_email": false
}
```

### Code examples

```bash
curl "https://api.optitech.com/v1/programs/$PROGRAM_ID/frameworks/$FRAMEWORK_ID/auth/plugins/organization" \
  -X PATCH \
  -H "Authorization: Bearer $OPTITECH_API_KEY"
```

```typescript
import { createOptiTechClient, raw } from '@optitech/sdk';

const optitech = createOptiTechClient({ apiKey: process.env.OPTITECH_API_KEY });
const { data } = await raw.updateNeonAuthOrganizationPlugin({
  client: optitech.client,
  path: {
    program_id: process.env.PROGRAM_ID,
    framework_id: process.env.FRAMEWORK_ID
  }
});
```

```bash
# optitechctl
optitech optitech-auth config organization update
```

### Console

Console path: Projects → Auth → Plugins

### Errors

**default**
General Error.

The request may or may not be safe to retry, depending on the HTTP method, response status code,
and whether a response was received.

- If no response is returned from the API, a network error or timeout likely occurred.
- In some cases, the request may have reached the server and been successfully processed, but the response failed to reach the client. As a result, retrying non-idempotent requests can lead to unintended results.

The following HTTP methods are considered non-idempotent: `POST`, `PATCH`, `DELETE`, and `PUT`. Retrying these methods is generally **not safe**.
The following methods are considered idempotent: `GET`, `HEAD`, and `OPTIONS`. Retrying these methods is **safe** in the event of a network error or timeout.

Any request that returns a `503 Service Unavailable` response is always safe to retry.

Any request that returns a `423 Locked` response is safe to retry. `423 Locked` indicates that the resource is temporarily locked, for example, due to another operation in progress.

- `request_id` (string, optional)
  Unique identifier for the request, useful for debugging.
  You can set this value manually by including an `X-Request-ID` header in the request. If not provided, the value will be generated automatically.
  
- `code` (string, required)
  Default: ``
- `message` (string, required)
  Error message
